twitter4j

## Class ScopesImpl

- java.lang.Object
- - twitter4j.ScopesImpl

All Implemented Interfaces:
  Serializable, Scopes

    public class ScopesImpl
    extends Object
    implements Scopes

A data interface representing targeting scopes applied to a status.

Since:
  Twitter4J 3.0.6
Author:
  Aaron Rankin - aaron at sproutsocial.com
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ScopesImpl(String[] placeIds)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String[]` `getPlaceIds()` Returns the place_ids that identify the scope of the status.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ScopesImpl

    public ScopesImpl(String[] placeIds)

### Method Detail

#### getPlaceIds

    public String[] getPlaceIds()

Description copied from interface: `Scopes`
Returns the place_ids that identify the scope of the status.

Specified by:
  `getPlaceIds` in interface `Scopes`
Returns:
  the place_ids that identify the scope of the status.